include /usr/share/dpkg/pkg-info.mk

DUNE_DEBIAN_ENV ?= /usr/share/dune/dune-debian.env

include $(DUNE_DEBIAN_ENV)

DUNE_CTEST ?= /usr/bin/dune-ctest

DUNE_DEBIAN_CMAKE_FLAGS = -DBUILD_SHARED_LIBS=1

DUNE_DEBIAN_SHLIB = $(subst ~,.,lib$(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM))

DUNE_DOC_BUILT_USING_PACKAGES = doxygen
DUNE_DOC_BUILT_USING = $(shell dpkg-query -f '$${source:Package} (= $${source:Version})' -W $(DUNE_DOC_BUILT_USING_PACKAGES))

override_dh_auto_configure:
	dh_auto_configure -- $(DUNE_DEBIAN_CMAKE_FLAGS)

override_dh_auto_test:
	dh_auto_build -- build_tests
	cd build; PATH=$(CURDIR)/debian/tmp-test:$$PATH $(DUNE_CTEST)

override_dh_gencontrol:
	dh_gencontrol -- -Vdune:shared-library='$(DUNE_DEBIAN_SHLIB)' -Vdune:doc:Built-Using='$(DUNE_DOC_BUILT_USING)'

override_dh_makeshlibs:
	dh_makeshlibs --version-info='$(DUNE_DEBIAN_SHLIB)'
